import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    tools: commonTools
    orientationLock: PageOrientation.LockPortrait

    property alias stopwatchON: stopwatchSwitch.checked
    property alias inspectionON: inspectionSwitch.checked

    ToolBarLayout {
        id: commonTools
        visible: true
        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status == DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
        ToolIcon {
            platformIconId: "toolbar-back"
            anchors.left: (parent === undefined) ? undefined : parent.left
            onClicked: pageStack.pop()
        }
    }

    Text { // Titel der App selbst
        id: title_settings
        anchors {left: parent.left; leftMargin: 10; top: parent.top; topMargin: 10}
        text: qsTr("Settings")
        font.pointSize: 50
        style: Text.Outline
        styleColor: "#848784"
        color: "#aaaaaa"
    }

    Text {
        id: title_settings_part2
        anchors {left: title_settings.right; leftMargin: 5; bottom: title_settings.bottom}
        text: "CubeTimer"
        font.pointSize: 30
        color: "#298ede"
    }

    CheckBox {
        id: stopwatchSwitch
        objectName: "stopwatchSwitch"
        anchors {top: parent.top; topMargin: 250; left: parent.left; leftMargin: 50}

        Text {
            id: stopwatchSwitchText
            anchors {left: parent.right; leftMargin: 20; verticalCenter: stopwatchSwitch.verticalCenter}
            font.pointSize: 24
            text: "Stopwatch mode"
        }
    }

    CheckBox {
        id: inspectionSwitch
        objectName: "inspectionSwitch"
        anchors {top: stopwatchSwitch.bottom; topMargin: 50; left: parent.left; leftMargin: 50}

        Text {
            id: inspectionSwitchText
            anchors {left: parent.right; leftMargin: 20; verticalCenter: stopwatchSwitch.verticalCenter}
            font.pointSize: 24
            text: "Inspection time"
        }
    }

    Text {
        id: inspectionTimeText
        anchors {top: inspectionSwitch.bottom; topMargin: 20; left: parent.left; leftMargin: 20}
        font.pointSize: 24
        text: qsTr("Seconds:")
        opacity: inspectionSwitch.checked ? 1.0 : 0.0
    }

    ButtonRow {
             id: inspectiontimerow
             opacity: inspectionSwitch.checked ? 1.0 : 0.0
             checkedButton: wait15

             anchors {horizontalCenter: parent.horizontalCenter; top: inspectionTimeText.bottom; topMargin: 20}

             Button {
                 id: wait5
                 objectName: "wait5"
                 text: qsTr("5")
             }

             Button {
                 id: wait10
                 objectName: "wait10"
                 text: qsTr("10")
             }

             Button {
                 id: wait15
                 objectName: "wait15"
                 text: qsTr("15")
             }

             Button {
                 id: wait20
                 objectName: "wait20"
                 text: qsTr("20")
             }

             Button {
                 id: wait25
                 objectName: "wait25"
                 text: qsTr("25")
             }

             Button {
                 id: wait30
                 objectName: "wait30"
                 text: qsTr("30")
             }
         }
}
